#!/bin/sh
which zenity >/dev/null 2>&1
if [ $? -eq 1 ];then
  echo 'zenity not installed!'
  exit 1
fi

allworlds=
for fil in world_*.dat ; do
  allworlds="$allworlds $fil"
done

world=''
while [ -z "$world" ];do
  world=`zenity --text 'Select a world below' --list --column '' --print-column ALL $allworlds`
  if [ $? -ne 0 ];then
    exit 0
  fi
done

app=Application_CentOS5_32bits
uname -a|grep x86_64 >/dev/null
if [ $? -eq 0 ];then
  app=Application_CentOS5_64bits
fi

chmod u+x ./$app

zenity --question --text 'Do you want to start the game in fullscreen mode?'
if [ $? -eq 0 ];then
  app="$app --fullscreen"
fi

./$app --world_dat ${world} > log.txt 2>&1

if [ $? -eq 127 ];then
  info=`cat log.txt`
  zenity --error --text "The program failed to execute:\n\n$info"
fi
